<div class="abrir-modal animacion fadeIn" *ngIf="modalService.modal">
  <div class="modal" tabindex="-1" role="dialog" style="display: block;">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">{{titulo}}</h5>
          <button (click)="cerrarModal()" type="button" class="btn-close" data-bs-dismiss="modal"
            aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <div class="container">
            <div class="row">
              <div class="col-sm">

                <ul *ngIf="cliente" class="list-group text-dark mb-3">
                  <li class="list-group-item active">RUT: {{cliente.rut}}</li>
                  <li class="list-group-item">NOMBRE: {{cliente.nombre}}</li>
                  <li class="list-group-item">APELLIDOS: {{cliente.apellidoPaterno}} {{cliente.apellidoMaterno}}</li>
                  <li class="list-group-item">FECHA NACIMIENTO: {{cliente.fechaNacimiento | date:"'dd/MM/yyyy"}}</li>
                  <li class="list-group-item">EMAIL: {{cliente.correo}}</li>
                  <li class="list-group-item">FONO: {{cliente.telefono}}</li>
                  <li class="list-group-item">DIRECCION: {{cliente.direccion}}</li>
                  <li *ngIf="!cliente.habilitado" class="list-group-item">HABILITADO: NO</li>
                  <li *ngIf="cliente.habilitado" class="list-group-item">HABILITADO: SI</li>

                </ul>
                <div class="input-group mb-3">
                  <input (change)="seleccionarFoto($event)" type="file" class="form-control" id="inputGroupFile04"
                    aria-describedby="inputGroupFileAddon04" aria-label="Upload">
                  <button (click)="subirFoto()" [disabled]="!fotoSeleccionada" class="btn btn-outline-primary"
                    type="button" id="inputGroupFileAddon04">Subir
                    imagen</button>
                </div>

                <div *ngIf="progreso > 0" class="progress" style="height: 40px">
                  <div class="progress-bar progress-bar-striped" role="progressbar" [ngStyle]="{width: progreso+'%'}"
                    attr.aria-valuenow="{{progreso}}" aria-valuemin="0" aria-valuemax="100">{{progreso}}%</div>
                </div>



              </div>
              <div class="col-sm">
                <div class="row">
                  <img *ngIf="cliente?.foto" src="http://localhost:8080/mfit/uploads/img/clientes/{{cliente.foto}}"
                    alt="{{cliente.foto}}" class="img-thumbnail rounded">
                </div>
                <div class="row justify-content-end">
                  <div class="col ">
                    <button type="button" class="btn btn-outline-info btn-sm"
                      [routerLink]="['/clientes/reservas-entrenamiento', cliente.id]">Historial Reservas de
                      Entrenamiento</button>
                  </div>

                  <div class="col">
                    <button type="button" class="btn btn-outline-info btn-sm"
                      [routerLink]="['/clientes/reservas-especialista', cliente.id]">Historial Reservas de
                      Especialista</button>
                  </div>
                  <div class="col">
                    <button type="button" class="btn btn-outline-info btn-sm"
                      [routerLink]="['/clientes/pagos', cliente.id]">Historial de Pagos</button>
                  </div>
                </div>

                <div class="row justify-content-center " style="margin-top: 2vw;">
                  <div class="col-4">
                    <button type="button" class="btn btn-link btn-sm"
                      [routerLink]="['/clientes/password', cliente.id]">Cambiar contraseña</button>
                  </div>


                </div>
              </div>

            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button (click)="cerrarModal()" type="button" class="btn btn-secondary"
            data-bs-dismiss="modal">Cerrar</button>
        </div>
      </div>
    </div>
  </div>

</div>